# DataExchange
TKSTEPBase
StepRepr

# StepRepr_MeasureRepresentationItem Class Reference

Implements a measure_representation_item entity
which is used for storing validation properties
(e.g. area) for shapes
.

`#include <StepRepr_MeasureRepresentationItem.hxx>`

Inheritance diagram for StepRepr_MeasureRepresentationItem:

[legend]

## Public Member Functions

Standard_EXPORT | StepRepr_MeasureRepresentationItem ()
| Creates empty object .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepBasic_MeasureValueMember)&aValueComponent, const StepBasic_Unit &aUnitComponent)
| Init all fields .
Standard_EXPORT void | SetMeasure (const Handle(StepBasic_MeasureWithUnit)&Measure)
Standard_EXPORT Handle_StepBasic_MeasureWithUnit | Measure () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepBasic_MeasureWithUnit | myMeasure

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_MeasureRepresentationItem::StepRepr_MeasureRepresentationItem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepRepr_MeasureRepresentationItem::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT void StepRepr_MeasureRepresentationItem::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepBasic_MeasureValueMember)& | aValueComponent,
|  | const StepBasic_Unit & | aUnitComponent
| ) |

Standard_EXPORT Handle_StepBasic_MeasureWithUnit StepRepr_MeasureRepresentationItem::Measure | ( |  | ) | const

Standard_EXPORT void StepRepr_MeasureRepresentationItem::SetMeasure | ( | const Handle(StepBasic_MeasureWithUnit)& | Measure | ) |

## Field Documentation

Handle_StepBasic_MeasureWithUnit StepRepr_MeasureRepresentationItem::myMeasure `[private]`

The documentation for this class was generated from the following file:

- StepRepr_MeasureRepresentationItem.hxx